Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455039 - Review Request: php-oauth - PHP Authentication library for desktop to web applications
Summary: Review Request: php-oauth - PHP Authentication library for desktop to web app...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 455211
TreeView+ depends on / blocked
 
Reported: 2008-07-11 16:28 UTC by Rakesh Pandit
Modified: 2008-09-10 07:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-29 10:28:09 UTC
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rakesh Pandit 2008-07-11 16:28:28 UTC
Description:
An open protocol to allow API authentication in a simple and standard
method from desktop and web applications.

SPEC: http://rakesh.gnulinuxcentar.org/oauth.spec
SRPM: http://rakesh.gnulinuxcentar.org/oauth-1.0-1.fc8.src.rpm

This is my 6th package and I am looking for sponsor.

Comment 1 Rakesh Pandit 2008-07-12 16:36:22 UTC
Corrected naming for both spec and package:

SRPM: http://rakesh.fedorapeople.org/srpm/php-oauth-1.0-1.fc8.src.rpm
SPEC: http://rakesh.fedorapeople.org/spec/php-oauth.spec

Comment 2 Rakesh Pandit 2008-07-12 16:39:48 UTC
I messed up these links correct links are:
SRPM: http://rakesh.fedorapeople.org/srpm/php-oauth-1.0-2.fc8.src.rpm
SPEC: http://rakesh.fedorapeople.org/spec/php-oauth.spec

Comment 3 Steven Moix 2008-07-13 17:01:57 UTC
This is not a formal review, but I noticed the following points when following
the review guidelines:

- MUST: The package must be named according to the Package Naming Guidelines.
Error, the package version doesn't meet the
https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages
guidelines
Maybe the package has also to be renamed with the php-pear standard? See
https://www.redhat.com/archives/fedora-packaging/2008-July/msg00023.html for the
discussion.

- MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
Error, the creation of a source package matches
https://fedoraproject.org/wiki/Packaging/SourceURL "Using Revision Control", but
how can you pretend that it's version 1? SVN checkout doesn't work by the way.

Comment 4 Rakesh Pandit 2008-07-13 17:36:51 UTC
>- MUST: The package must be named according to the Package Naming Guidelines.
>Error, the package version doesn't meet the
>https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages
>guidelines

  Fixed

>Maybe the package has also to be renamed with the php-pear standard? See
>https://www.redhat.com/archives/fedora-packaging/2008-July/msg00023.html for 
the
>discussion.

Yes, I started the discussion, if you look at next message in thread
https://www.redhat.com/archives/fedora-packaging/2008-July/msg00041.html or 
oauth
package status. It is still in proposed state and upstream does not have any 
pear packaging 
so it will go as normal php library.
 
>- MUST: The sources used to build the package must match the upstream source, 
as
>provided in the spec URL. Reviewers should use md5sum for this task. If no
>upstream URL can be specified for this package, please see the Source URL
>Guidelines for how to deal with this.
>Error, the creation of a source package matches
>https://fedoraproject.org/wiki/Packaging/SourceURL "Using Revision Control", 
but
>how can you pretend that it's version 1? SVN checkout doesn't work by the way.

Aah! Actually project site mentions wrong svn checkout link. The correct one is
svn co http://oauth.googlecode.com/svn/code/php/ oauth

It is mentioned is one of main Oauth class in code base that it is 1.0. I have 
also verified upstream.

New SPEC file: http://rakesh.fedorapeople.org/spec/php-oauth.spec
New SRPM: http://rakesh.fedorapeople.org/srpm/php-oauth-1.0-3.svn592.fc8.src.rpm



Comment 5 Kevin Fenzi 2008-07-17 00:28:24 UTC
Removing needsponsor, I have sponsored Rakesh.

Comment 6 Peter Lemenkov 2008-08-23 12:03:22 UTC
I'll review it.

Comment 7 Peter Lemenkov 2008-08-23 12:13:47 UTC
One note before review:

* You should post *exact* instructions on how to build exact copy of your tarball. in order to do so, you need to indicate exact svn revision *in* your instructions, not only in Version field. And one more - you should use "svn export" instead of "svn co" and further removing svn-related files. E.g.

# svn export -r 592 http://oauth.googlecode.com/svn/code/php/ oauth
# tar -czf php-oauth-1.0.tar.gz oauth

Apply this change and I'll review it.

Comment 9 Peter Lemenkov 2008-08-23 13:57:09 UTC
Strange, but I've got different tarball:

[petro@Sulaco SOURCES]$ ls -l php-oauth-1.0.tar.gz*
-rw-rw-r-- 1 petro petro 10708 2008-08-23 17:52 php-oauth-1.0.tar.gz
-rw-rw-r-- 1 petro petro 10800 2008-08-23 17:23 php-oauth-1.0.tar.gz.orig
[petro@Sulaco SOURCES]

Comment 10 Peter Lemenkov 2008-08-23 14:00:04 UTC
In any case, I just unpacked them and compared with diff - they looks identical.

OK.

Comment 11 Peter Lemenkov 2008-08-23 14:18:21 UTC
Review:

MUST Items:

+ rpmlint silent.
+ The package is named according to the Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines .
+ The package licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ The spec file written in American English.
+ The spec file for the package is legible.
+/- The sources used to build the package were taken from svn. No official tarball.
+ The package successfully compiles and builds into binary rpms on at least one supported architecture (ppc).
+ All build dependencies are listed in BuildRequires.
+ A package must owns all directories that it creates.
+ A package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ The package have a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
+ The package consistently uses macros, as described in the macros section of Packaging Guidelines .
+ The package contains code, or permissable content.
+ All, the package includes as %doc, does not affect the runtime of the application.
+ The packages does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT.
+ All filenames in rpm packages are valid UTF-8.


There is only one thing remain. Since we using a svn snapshot, we need to change versioning scheme. I advice you to change Release field to  0.4.%{svnrevision}%{?dist} - note leading zero. That allows us to upgrade package from our svn snapshot to official 1.0 tarball (when it will be out).

Comment 13 Peter Lemenkov 2008-08-23 14:37:31 UTC
APPROVED.

p.s. don't forget to raise fedora-cvs flag

Comment 14 Rakesh Pandit 2008-08-23 14:51:00 UTC
New Package CVS Request
=======================
Package Name: php-oauth
Short Description: PHP Authentication library for desktop to web applications
Owners: rakesh
Branches: F-8 F-9
InitialCC: rakesh
Cvsextras Commits: yes

Comment 15 Kevin Fenzi 2008-08-23 17:16:32 UTC
cvs done.

Comment 16 Fedora Update System 2008-08-24 13:31:44 UTC
php-oauth-1.0-0.5.svn592.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/php-oauth-1.0-0.5.svn592.fc8

Comment 17 Fedora Update System 2008-08-24 13:34:01 UTC
php-oauth-1.0-0.5.svn592.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-oauth-1.0-0.5.svn592.fc9

Comment 18 Fedora Update System 2008-09-10 06:37:04 UTC
php-oauth-1.0-0.5.svn592.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2008-09-10 07:16:18 UTC
php-oauth-1.0-0.5.svn592.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.